%define ver	031220
%define	name	links-hacked
%define	release	%mkrel 35

Summary:	Lynx-like text WWW browser
Name:		%{name}
Version:	0.0.%{ver}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Source0:	%{name}-%{ver}.tar.bz2
Source1:	links-16.png
Source2:	links-32.png
Source3:	links-48.png
Source4:        links.cfg
# links fonts (overriding links-hacked ones):
Source5:	links-fonts-new.tar.bz2
Patch7:		links-0.96-no-domain-security.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch10:	links-2.0pre1-be-graphic-when-called-_links-graphic_.patch
Patch11:	links-hacked-030620-convert-old-bookmarks-in-new-format.patch
Patch12:	links-hacked-030620-fix-default-charset.patch
Patch13:	links-hacked-030709-config-file.patch
Patch15:	links-hacked-031220-gcc34.patch
Patch16:	links-hacked-031220-lua5.patch
Patch17:	links-hacked-031220-lua5compil.patch
Patch18:	links-hacked-031220-gcc401.patch
Patch19:	links-hacked-031220-fix-build.patch
Patch20:	links-hacked-fix-build.patch
Patch21:	links-hacked-fix-crash.diff
Patch22:	links-hacked-031220-libpng15.patch
Patch23:	links-hacked-031220-automake-1.13.patch
URL:		http://xray.sai.msu.ru/~karpov/links-hacked/
BuildRequires:  libx11-devel
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel
BuildRequires:	directfb-devel
BuildRequires:	freetype2-devel
BuildRequires:	gd-devel
BuildRequires:	gpm-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	tiff-devel
Provides:	webclient

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

Links-hacked is based on top of links and offer the below features:
- Lua scripting
- HTTP Auth - stable, ported form Elinks 
- Blocking of selected images 
- Cookies saving
- New options system (c-o)
- Open new windows instead of new links instances in graphics mode
- Url copying
- Full-text selection
- Simple printing
- Forward history
- Extended and configurable 'toolbar'
- Configurable 'mini-status'
- various small improvements:
  o support for "small" and "big" tags,
  o keybinding ("i") to turn on/off images,
  o possibility to show HTTP header ("|"),
  o support for compressed content
  o configurable support for Accept-Charset and Accept-Language. 
- Modularized font subsystem
- Font manager (c-i)
- Dialogs shadows and borders
- Tabbed browsing

%prep
%setup  -q -n %name-%ver
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch15 -p0
%patch16 -p0 -b .lua
%patch17 -p0 -b .lua5
%patch18 -p0 -b .gcc401
%patch19 -p0 -b .build
%patch20 -p0 -b .gcc45
%patch21 -p0 -b .segv
%patch22 -p0 -b .libpng
%patch23 -p1 -b .automake-1_13

chmod a+r *

%build
autoreconf -fi
perl -pi -e 's!"-g!"!g' configure
# (tv) fix mageia's BS using symlinks:
cat %SOURCE5 > links-fonts-new.tar.bz2

%configure2_5x --enable-graphics --enable-javascript
(cd Unicode ; LC_ALL=C ./gen )
# even more dirty :)
perl -pi -e 's!wget xray.sai.msu.ru/\~karpov/links-hacked/downloads/links-fonts-new.tgz \&\& tar xzvf links-fonts-new.tgz!tar -jxvf links-fonts-new.tar.bz2!' Makefile{,.am,.in}

%make || :
# hacky & dirty
perl -pi -e 's!^@.*!!' utils/Makefile
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f %buildroot%{_bindir}/links
install links %buildroot%{_bindir}/%name

install -D -m 644 %SOURCE4 %buildroot/etc/links.cfg


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links (hacked)
Comment=Lynx-like text WWW browser
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;WebBrowser;
EOF

install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png
# fix conflicts with links-graphic:
mv %buildroot/%_mandir/man1/{links,%name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/%name 5

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/%name
fi

%files 
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog README SITES TODO 
%config(noreplace) /etc/links.cfg
%_bindir/%name
%_bindir/arrow
%_bindir/generate_font
%_bindir/make_included
%_bindir/rasterizer
%_mandir/*/*
%_datadir/applications/*.desktop
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.0.031220-35.mga3
+ Revision: 358830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.0.031220-34.mga3
+ Revision: 344316
- patch23: fix build with automake 1.13

* Sat Jul 28 2012 fwang <fwang> 0.0.031220-33.mga3
+ Revision: 275257
- rebuild for new dfb

* Sun Jan 08 2012 wally <wally> 0.0.031220-32.mga2
+ Revision: 193175
- rebuild for new libtiff

* Wed Oct 26 2011 tv <tv> 0.0.031220-31.mga2
+ Revision: 158173
- build without obsolete svgalib

* Thu Sep 22 2011 fwang <fwang> 0.0.031220-30.mga2
+ Revision: 146605
- more patch
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Jul 18 2011 fwang <fwang> 0.0.031220-29.mga2
+ Revision: 125883
- rebuild for new dfb

* Wed May 11 2011 tv <tv> 0.0.031220-28.mga1
+ Revision: 97247
- fix build: mageia's BS uses symlinks in SOURCES
- patch 20: fix build
- patch 21: fix a crash
- clean post scripts
- imported package links-hacked

